<app-crud-handler [crudRequest]="request"
                  (heightEvent)="onCrudHandlerHeightChange($event)"
                  (requestCompleteEvent)="onRequestComplete($event)">
</app-crud-handler>

<div id="itc-root">
  <table>
    <thead>
    <tr id="header-btn-row">
      <th id="add-btn-th" colspan="5">
        <div id="add-btn-wrapper">
          <span class="spacer"></span>
          <button id="add-btn" (click)="onAddClicked()">ADD</button>
        </div>
      </th>
    </tr>

    <tr id="header-attr-row">
      <th class="header-cell" *ngFor="let key of ['name', 'description', 'price', 'size', 'origin']">{{key}}</th>
    </tr>
    </thead>

    <tbody>
    <tr *ngFor="let p of products; index as i">
      <td>
        <div class="single-card">
          <p class="single-card-entry">{{p.name}}</p>
          <p class="single-card-entry">
            <span>{{p.description}}</span>
            <span class="size">{{' ' + p.size}}</span>
          </p>
          <p class="single-card-entry">{{p.price | currency : 'EUR'}}</p>
        </div>

        <div class="update-delete-wrapper">
          <span class="spacer"></span>
          <button class="card-update-delete-btn" type="button" (click)="onUpdateClicked(i)">UPDATE</button>
          <button id="delete-btn" class="card-update-delete-btn" type="button" (click)="onDeleteClicked(i)">DELETE
          </button>
        </div>
      </td>

      <td *ngFor="let value of [p.description, p.price, p.size, p.origin]; index as i">
        <!--Add the given class names for corresponding array index-->
        <p *ngIf="i === 1 else priceTag">{{value | currency : 'EUR'}}</p>

        <ng-template #priceTag>
          <p>{{value}}</p>
        </ng-template>
      </td>
    </tr>
    </tbody>
  </table>
</div>
